Bug 1266264 - [abrt] gnome-2048: _game_clear_foreground(): gnome-2048 killed by SIGSEGV
[abrt] gnome-2048: _game_clear_foreground(): gnome-2048 killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-2048 (Show other bugs)
23
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Yanko Kaneti
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d9026b980c48b4b28637de078ce...
:
: 1266656 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 18:58 EDT by Sergio Durán
Modified: 2015-10-03 13:36 EDT (History)
5 users (show)

See Also:
Fixed In Version: gnome-2048-3.18.0-2.fc23
Doc Type: Bug Fix
Doc Text:
Cause: Consequence: Segfault Fix: Result:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-03 13:36:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (28.59 KB, text/plain)
2015-09-24 18:58 EDT, Sergio Durán
no flags Details
File: cgroup (177 bytes, text/plain)
2015-09-24 18:58 EDT, Sergio Durán
no flags Details
File: core_backtrace (4.64 KB, text/plain)
2015-09-24 18:58 EDT, Sergio Durán
no flags Details
File: dso_list (10.37 KB, text/plain)
2015-09-24 18:58 EDT, Sergio Durán
no flags Details
File: environ (1.53 KB, text/plain)
2015-09-24 18:58 EDT, Sergio Durán
no flags Details
File: exploitable (110 bytes, text/plain)
2015-09-24 18:58 EDT, Sergio Durán
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-24 18:58 EDT, Sergio Durán
no flags Details
File: maps (32.69 KB, text/plain)
2015-09-24 18:58 EDT, Sergio Durán
no flags Details
File: mountinfo (3.07 KB, text/plain)
2015-09-24 18:58 EDT, Sergio Durán
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-24 18:58 EDT, Sergio Durán
no flags Details
File: open_fds (797 bytes, text/plain)
2015-09-24 18:58 EDT, Sergio Durán
no flags Details
File: proc_pid_status (870 bytes, text/plain)
2015-09-24 18:58 EDT, Sergio Durán
no flags Details
File: var_log_messages (299 bytes, text/plain)
2015-09-24 18:58 EDT, Sergio Durán
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 755321 None None None Never

  None (edit)
Description Sergio Durán 2015-09-24 18:58:13 EDT
Description of problem:
Open it and it will not open, if you open it on terminal you will see a segfault

Version-Release number of selected component:
gnome-2048-3.17.92-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        gnome-2048
crash_function: _game_clear_foreground
executable:     /usr/bin/gnome-2048
global_pid:     24935
kernel:         4.2.1-300.fc23.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _game_clear_foreground at /run/media/triton/gobelin/jhbuild/jhbuild/gnome-2048/src/game.vala:584
 #1 game_new_game at /run/media/triton/gobelin/jhbuild/jhbuild/gnome-2048/src/game.vala:110
 #2 application_new_game_cb at /run/media/triton/gobelin/jhbuild/jhbuild/gnome-2048/src/application.vala:347
 #3 application_real_activate at /run/media/triton/gobelin/jhbuild/jhbuild/gnome-2048/src/application.vala:97
 #4 g_cclosure_marshal_VOID__VOIDv at gmarshal.c:905
 #5 g_type_class_meta_marshalv at gclosure.c:1021
 #6 _g_closure_invoke_va at gclosure.c:864
 #9 g_application_activate at gapplication.c:2114
 #10 g_application_real_local_command_line at gapplication.c:1016
 #11 gtk_application_local_command_line at gtkapplication.c:641
Comment 1 Sergio Durán 2015-09-24 18:58:17 EDT
Created attachment 1076728 [details]
File: backtrace
Comment 2 Sergio Durán 2015-09-24 18:58:18 EDT
Created attachment 1076729 [details]
File: cgroup
Comment 3 Sergio Durán 2015-09-24 18:58:19 EDT
Created attachment 1076730 [details]
File: core_backtrace
Comment 4 Sergio Durán 2015-09-24 18:58:19 EDT
Created attachment 1076731 [details]
File: dso_list
Comment 5 Sergio Durán 2015-09-24 18:58:20 EDT
Created attachment 1076732 [details]
File: environ
Comment 6 Sergio Durán 2015-09-24 18:58:21 EDT
Created attachment 1076733 [details]
File: exploitable
Comment 7 Sergio Durán 2015-09-24 18:58:22 EDT
Created attachment 1076734 [details]
File: limits
Comment 8 Sergio Durán 2015-09-24 18:58:23 EDT
Created attachment 1076735 [details]
File: maps
Comment 9 Sergio Durán 2015-09-24 18:58:24 EDT
Created attachment 1076736 [details]
File: mountinfo
Comment 10 Sergio Durán 2015-09-24 18:58:25 EDT
Created attachment 1076737 [details]
File: namespaces
Comment 11 Sergio Durán 2015-09-24 18:58:26 EDT
Created attachment 1076738 [details]
File: open_fds
Comment 12 Sergio Durán 2015-09-24 18:58:27 EDT
Created attachment 1076739 [details]
File: proc_pid_status
Comment 13 Sergio Durán 2015-09-24 18:58:28 EDT
Created attachment 1076740 [details]
File: var_log_messages
Comment 14 Yanko Kaneti 2015-09-24 19:25:35 EDT
Please try 
http://koji.fedoraproject.org/koji/buildinfo?buildID=686766
which is currently in a pending update.

btw your backtrace has some jhbuild paths in it which wouldn't happen if you used the package
Comment 15 Sergio Durán 2015-09-25 12:07:08 EDT
Another user experienced a similar problem:

I just opened the  app and it has crashed, on terminal it promts a segfault

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        gnome-2048
crash_function: _game_clear_foreground
executable:     /usr/bin/gnome-2048
global_pid:     2139
kernel:         4.2.0-300.fc23.i686
package:        gnome-2048-3.17.92-1.fc23
reason:         gnome-2048 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Sergio Durán 2015-09-25 20:29:47 EDT
(In reply to Yanko Kaneti from comment #14)
> Please try 
> http://koji.fedoraproject.org/koji/buildinfo?buildID=686766
> which is currently in a pending update.
> 
> btw your backtrace has some jhbuild paths in it which wouldn't happen if you
> used the package

I see, I will wait untill it is updated because this is one of my favorite game from the GNOME games compillation :)
Comment 17 Yanko Kaneti 2015-09-26 07:13:51 EDT
*** Bug 1266656 has been marked as a duplicate of this bug. ***
Comment 18 Yanko Kaneti 2015-09-26 07:16:20 EDT
I've added a patch for this in a new build
http://koji.fedoraproject.org/koji/buildinfo?buildID=688168
which I'll try to get in an update, but due to the release status of F23 I am not sure when this can even get in updates-testing.

Sorry for the delays. Please test this build if you can
Comment 19 Fedora Update System 2015-09-26 08:03:25 EDT
gnome-2048-3.18.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2571bb56b2
Comment 20 Fedora Update System 2015-09-26 20:54:21 EDT
gnome-2048-3.18.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gnome-2048'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2571bb56b2
Comment 21 Fedora Update System 2015-10-03 13:36:35 EDT
gnome-2048-3.18.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.